Introduction

The present document introduces the MD2 Soft Front Panel and is intended to provide information on the range of Digitizer products which are supported by Keysight MD2 High-Speed Digitizer Instrument Drivers.

This software provides an graphical interface between users and MD2 High-Speed Digitizer Instrument Drivers; which can be used to verify the functionality and explore the capabilities of the Keysight modular high-speed digitizers.

MD2 Soft Front Panel helps to verify the functionality of the digitizer and serves as a friendly and convenient software for capturing and displaying the acquired data. For full control of the digitizers in the user application, the MD2 API is provided to work in the most popular software development environments.

List of supported digitizers:

  • U5303A
  • U5309A
  • M9709A
  • M9703B

Overview

MD2 SFP (Soft Front Panel) graphical interface helps you with the following tasks:

  • Check connection to the module
  • Check module status
  • Conduct self test or self calibration
  • Perform measurement or functional verification
  • Display graphical results
  • Save and export results.

This Help document aims to details MD2 SFP features and to explain how to configure a digitizer acquisition thanks to this interface.

Contents:

Notices and General information

1. Getting Started with MD2 Soft Front Panel

Example: perform the calibration and a first acquisition

2. Control panels

Acquisition panel

Channel panel

Trigger panel

Calibration panel

Reference Oscillator panel

Sample Clock

Control I/Os

Information panel

Monitoring Values panel

Temperature panel

DDC-Core panel

Instruments panel

3. Display window

4. Toolbar menu

5. Other information windows

Log window

Timestamp window

6. Specific modes

DDC mode

Multi-module synchronization

7. Save data

Appendices

Related Documentation

TIP: Help Search Tricks

© Keysight Technologies Inc. 2012-2015

Part No: M9700-90002

Version: December 2015


Notices

Copyright Notice

© Keysight Technologies 2013 - 2015

No part of this manual may be reproduced in any form or by any means (including electronic storage and retrieval or translation into a foreign language) without prior agreement and written consent from Keysight Technologies, Inc. as governed by United States and international copyright laws.

Manual Part Number

M9700-90002

Published By

Keysight Technologies
Chemin des Aulx, 12
1228 Plan-Les-Ouates
Switzerland

Edition

Edition 1, December, 2015

Support

To contact Keysight for sales and technical support, refer to the “support” links on the following Keysight web resources:

www.keysight.com/find/digitizers - Home page for the entire range of Keysight modular digitizer products.

www.keysight.com/find/assist - Worldwide contact information for repair and service.

Regulatory Compliance

This product has been designed and tested in accordance with accepted industry standards, and has been supplied in a safe condition. To review the Declaration of Conformity, go to http://www.keysight.com/go/conformity .

Warranty

The material contained in this document is provided “as is,” and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.

Keysight Technologies does not warrant third-party system-level (combination of chassis, controllers, modules, etc.) performance, safety, or regulatory compliance, unless specifically stated.

Technology Licenses

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.

U.S. Government Rights

The Software is “commercial computer software,” as defined by Federal Acquisition Regulation (“FAR”) 2.101. Pursuant to FAR 12.212 and 27.405-3 and Department of Defense FAR Supplement (“DFARS”) 227.7202, the U.S. government acquires commercial computer software under the same terms by which the software is customarily provided to the public. Accordingly, Keysight provides the Software to U.S. government customers under its standard commercial license, which is embodied in its End User License Agreement (EULA), a copy of which can be found at http://www.keysight.com/find/sweula. The license set forth in the EULA represents the exclusive authority by which the U.S. government may use, modify, distribute, or disclose the Software. The EULA and the license set forth therein, does not require or permit, among other things, that Keysight: (1) Furnish technical information related to commercial computer software or commercial computer software documentation that is not customarily provided to the public; or (2) Relinquish to, or otherwise provide, the government rights in excess of these rights customarily provided to the public to use, modify, reproduce, release, perform, display, or disclose commercial computer software or commercial computer software documentation. No additional government requirements beyond those set forth in the EULA shall apply, except to the extent that those terms, rights, or licenses are explicitly required from all providers of commercial computer software pursuant to the FAR and the DFARS and are set forth specifically in writing elsewhere in the EULA. Keysight shall be under no obligation to update, revise or otherwise modify the Software. With respect to any technical data as defined by FAR 2.101, pursuant to FAR 12.211 and 27.404.2 and DFARS 227.7102, the U.S. government acquires no greater than Limited Rights as defined in FAR 27.401 or DFAR 227.7103-5 (c), as applicable in any technical data.

Conventions

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.

A NOTE draws the reader's attention to important information, caveats, etc.


Getting Started with MD2 Soft Front Panel

Installation

The MD2 Soft Front Panel is installed simultaneously with MD2 High-Speed Digitizer Instrument Drivers.

For information on getting started with your digitizer or about MD2 software installation, please refer to the StartUp Guide which was delivered with your product or may be downloaded from the Keysight Technologies website.

Start the MD2 Soft Front Panel

The Keysight MD2 SFP can be launched directly from the Windows © Start menu > Keysight MD2 Digitizer>Keysight MD2 SFP.

The connection window opens with the selection of the digitizer to monitor.

After selecting your digitizer, click Connect.

The Simulation Mode allows to start the SFP without any digitizer connected.

The Advanced item is dedicated to specific driver initialization options (please refer to IVI driver documentation for details <Program Files (x86)>\IVI Foundation\IVI\Drivers\AgMD2\AgMD2.chm).

For instance, it is possible to log the driver calls done by the SFP by starting the session with Trace=True.

By default the trace file is created in the SFP working directory.

After validation, the MD2 SFP window appears as shown below.

The MD2 SFP main interface parts are:

  • A main menu toolbar containing access to various menus used to configure the application.
  • One or several display window(s) showing the measured signal(s) of selected instrument and channel(s).
  • A control panel with multiple tabs to navigate through acquisition settings and to control the instrument.
  • A Log/Script window, respectively displaying error messages or enabling a direct access to acquisition parameters.

First, an overview of the tool is presented with a basic example. Then the features are discussed in detail in the following sections.

Example 1: Quick acquisition with Auto mode .


Example 1: Quick acquisition with Auto mode

Using the Auto mode (enabled by default), a first acquisition can quickly be performed. Just click on start button: .

A self -calibration is performed and, if necessary, an automatic trigger would be used (software trigger) to start the acquisition. The Auto mode is useful to quickly verify the system. Then, user can switch to Normal mode to customize its acquisition.

Example 2: perform the calibration and a first acquisition

This section gives an overview of the interface and presents a first step-by-step example to launch an acquisition and display the resulting signal.

For this example, we assume a digitizer with a triangular input signal on IN 1 port (Channel 1), and a trigger signal connected to TRG IN port.

Switch to Normal mode by clicking on [image] button.

Launch the self calibration

  • From the left panel, select Calibration tab,
  • then click

When the digitizer calibration is finished, the field IsRequired changes to False.

  • Open Acquisition tab. For this example, modify the Record size to 5000.

  • Open Channels tab.
  • Select the channel to be configured, depending on your signal. Channel1 is selected by default.
  • Now, the parameters of Channel1 can be modified. For this example, change Offset to 1 (V).
  • Other options can stay with default values for this example.

  • On Trigger tab, users can choose the trigger source. For this example, define the triggering Active Source as External1, as shown below. External1 corresponds to TRG IN or TRG 1 port on digitizer front panel (depending on digitizer).

In this example, the trigger level is to be defined at 1V for a negative slope.

  • First, select the trigger source to configure. Select Trigger Sources External1.

  • Then you can modify the Level to 1 (V) and the Slope to Negative.

The acquisition can now be launched. Press Start measurement from the toolbar.

When clicking Start measurement button:

  1. The configuration defined in the various panels is transferred to the IVI driver and to the digitizer.
  2. The digitizer starts the acquisition.
  3. Acquired data are displayed as waveforms on the MD2 SFP.

The display can be adjusted thanks to zoom button [image] .

After this basic example, the various functions and menus are developed in the following sections.


Control panels

The MD2 Soft Front Panel offers several control panels. By default, four of them are directly accessible: Acquisition, Channels, Trigger and Calibration.

Other panels can be accessed from the Interfaces menu >

Once selected, the new panel appears as an additional tab. User can change the windows layout (dragging the windows) and this is stored automatically at the end of the session. The default layout can be restored with menu Windows > Reset Windows Layout.

Control panel contents:

Acquisition panel

Channel panel

Trigger panel

Calibration panel

Reference Oscillator panel

Sample Clock

Control I/Os

Information panel

Monitoring Values panel

Temperature panel

DDC-Core panel

Instruments panel


Acquisition panel

This panel manages acquisition and associated parameters (for more details about these parameters, please refer to MD2 driver embedded help ; from toolbar menu Help>Driver Help).

  • Sample Rate: users can adjust the sample rate (in Samples per second). Authorized values depends on the digitizer.
  • Record Size: users can adjust the record size (Number of samples).
  • Number of Records: users can also specify the number of waveform records to acquire.
  • Max Samples: gives the maximum number of samples per channel that can be captured. This parameter is for information only.
  • Acquired Records : gives the total number of records acquired since the acquisition was last initiated. This parameter is for information only.
  • Min Record Size: indicates the minimum waveform record size. If the digitizer can support any arbitrary size record, then this parameter displays 1. This parameter is for information only.
  • Mode: this item defines the digitizer mode:
  • Normal
  • Averager
  • PeakDetection
  • BaseBand0
  • UserFDK

This parameter depends on your digitizer option. Please refer to digitizer User Manual for more details about the available options.

  • Number Of Average: specifies the number of waveforms to average in the record. Parameter used with Averager or PeakDetection modes only.


Channel panel

This panel deals with input channel parameters.

  • Channels: selects the channel to be configured. The list of channels depends on the digitizer.
Selecting the Channelx from the Channels panel allows to set or to check associated parameters, but is independent of the channels selected for display. To define the displayed channel(s), use mouse right-click on the display window.
Note that the modification of following parameters applies only to the selected Channel. These parameters should be defined for each channel in use.

  • Range: sets the absolute value of signal input range for the channel (Volts). This parameter depends on your digitizer.

For instance, for a digitizer supporting 2V FSR (with default offset = 0 V), the acquired signal values range from -0.5 V to 0.5 V.

On display panel, the minimum and maximum voltage, for selected range, are indicated by triangles [image] with same color than corresponding channel.

  • Offset: defines the center of the range specified above.

On display window, the selected range offset is indicated by a diamond [image] with same color than corresponding channel.

Modifying the offset doesn't change the signal offset but the center of the vertical window used for acquisition. See example below.
  • Enabled: tick/untick to enable/disable a channel.
  • Temperature: displays the channel temperature measured in the ADC core (default unit is Celsius degree). This parameter is for information only .
  • Time Interleaved: enables the interleave mode by specifying the channels that should operate in interleaved mode with the current channel.
  • Connector Name: gives the name of the channel connector port on the instrument's front panel.
  • Data Inversion: tick/untick to enable/disable data inversion (used for AVG mode only).

  • Apply to all: Applies the parameters of the selected channel to other channels.

For more details about these parameters, please refer to MD2 driver embedded help ; from toolbar menu Help>Driver Help)

Example: Range and offset settings

(Source: IVI-4.15: IviDigitizer Class Specification )

The input signal applied is a sinewave with 1 V amplitude and a 0.2 V DC offset.

Let's consider a digitizer with 2 V FSR.

First, the vertical range is defined at 2 V, and the offset let at 0 V by default.

In this case, the signal Vpeak = 1.2V is superior to the 1V vertical range maximum. Thus the acquired signal truncate the sine wave.

Secondly, the vertical range is still defined at 2 V, but the offset set at 0.2 V, in line with the input signal DC offset. In this case, the input sinewave is fully included in the vertical range.


Trigger panel

This panel manages trigger parameters.

  • Active Source: specifies the source the digitizer monitors for the trigger event.

The triggering sources available depend on the digitizer :

    - Internal 1 / Internal 2 / Internal i: selects Channel 1 / 2 / i as trigger source.

    - External / External i: selects external trigger corresponding to TRG IN port or TRIG i port (depending on digitizer).

    - Immediate: no triggering, the acquisition starts immediately when clicking Restart Acquisition or Initiate buttons (not compatible with multi-record acquisition).

    - Software: selects software trigger.

  • Delay: sets the delay between trigger event and the first point in the waveform record (in seconds). Value can be positive or negative.
  • Output Enable: tick/untick to enable/disable the trigger output.
  • Timeout: sets the time in milliseconds which the SFP waits for the trigger to come. If the trigger does not come in this timeout, and the acquisition mode is Normal an error message is raised in the SFP: Acquisition trigger timeout.
  • Software Trigger: generates a software trigger.
  • Trigger Sources: selects the source for triggering to be configured. Please, refer to your digitizer User Manual for more details about the triggering source options.

Note that the modification of following parameters applies only to the selected Trigger Source. These parameters should be redefined when changing the Trigger Source.
  • Coupling: selects the coupling method for the trigger signal between: DC / AC / HFReject / LFReject / NoiseReject.
  • Level: specifies the voltage threshold (Volts).
  • Slope: specifies whether a rising edge (Positive slope) or a falling edge triggers (Negative slope) the digitizer (used for Edge Trigger type only).

For internal trigger, the trigger level is represented on display by a dashed line with a T on Y axis.

For more details about trigger parameters, please refer to MD2 driver embedded help ; from toolbar menu Help>Driver Help)


Calibration panel

This panel manages the digitizer calibration.

  • SelfCalibrate: starts the self calibration of the instrument.
  • Cancel: cancels the calibration.
  • IsRequired: indicates if a new calibration is required or not. This parameter is for information.

By default, it is set to "True" when starting the MD2 SFP.

After running successfully the calibration, this parameter changes to "False".

As a consequence of some acquisition parameter modification, a new calibration of the instrument may be required. In this case, this parameter changes to "True", informing user that a new calibration should be performed before starting the next acquisition.


Reference Oscillator panel

This panel deals with the reference oscillator.

  • Source: selects the oscillator reference between Internal, External, AXIeClk100.

  • ExternalFrequency: defines the external frequency value (MHz). This option is used only when the Source is set to External.

  • OutputEnable: tick/untick to enable/disable a reference oscillator signal on output port.


Sample Clock

This panel allows to manage the sampling clock.

  • Source: selects the clock used for acquisition sampling.
  • External Frequency: allows to specify the frequency of the external clock.
  • Output Enabled: specifies whether or not the sample clock appears at a reference output of the digitizer.
  • External Divided: specifies the value by which the external sample clock should be divided. This value is used only if the Sample Clock Source attribute is set to External.


Control I/Os

This panel manages the multi-purpose I/Os.

  • ControlIOs: selects the front panel IOs port to be used (depends on digitizer).
  • Signal: selects the signal which will be read (input) or send (output) to the IOs port selected above. The list of available signals depends on the digitizer.


Information panel

This panels provides information on the connected digitizer.


Monitoring Values panel

Through this panel, users can select and monitor internal variables corresponding to digitizer's internal voltage signals.

These parameters are for information only or can be used for debugging purpose.


Temperature panel

From this panel, users can define the temperature Units (Celsius, Fahrenheit, Kelvin), and check the BoardTemperature.


DDC-Core panel

This panel is only available only with module with -DDC option.

Please refer to Digital Down Conversion (DDC) mode.


Instruments panel

This panel only appears when several modules are selected.

Please refer to Multi-module synchronization (MMS) for details.


Display window

When running an acquisition, the channel signal waveforms can be displayed in the graphical window, as shown in the example below.

Trace and graph parameters

Define the display

  • Displayed channel(s): Thanks to the right-click menu in the display area, users can define the displayed channels by selecting or deselecting each channel.

  • Drawing style: Through the right-click menu > Drawing, users can choose between points or lines.
  • Y coordinate: Still through the right-click menu > YCoordinates, it is possible to choose between 3 different scales:
  • Real: displays the real part of the signal.
  • LinMagnitude: displays the Magnitude of the signal with linear scale.
  • LogMagnitude: displays the Magnitude of the signal with log scale.

Set Y scale: Thanks to a right-click menu in the Y scale value, users can define the scale value per division.

Similarly, right click on the min and max Y scale allows to define their values.

Range and Offset

For each active channel, the minimum/maximum voltage range and offset are indicated by two triangles [image] and a diamond [image], respectively, using same color than the corresponding channel.

Trigger

For internal trigger, the trigger level is represented on display by a dashed line with a T on Y axis.

Display signal Spectrum

From the toolbar menu Windows > New Spectrum Trace Window, the acquired signal can be visualized in frequency domain.

Multiple trace windows

In case of multiple waveforms, it can be useful to have separated windows.

From the toolbar menu Windows > New Time Trace Window, several windows can be managed.

User can freely organize multiple windows using following options:

  • Cascade windows: toolbar menu Windows > Cascade.
  • Tile windows: toolbar menu Windows > Tile Vertically / Horizontally.

Display toolbar

This section presents the functions of the display toolbar.

Item Function
Restart measurement: Launches acquisition measurement and display

When clicking start measurement:

  1. The configuration defined in the various panels is transferred to the IVI driver and to the digitizer.
  2. The digitizer starts the acquisition.
  3. Acquired data are displayed as waveforms on the MD2 SFP.
Stops acquisition and display.

Switches between Continuous acquisition and Single record.

Switch between Auto and Normal mode.

When enabling Auto mode, there is an automatic calibration, and an automatic trigger (software trigger).

When selecting Normal mode, the self calibration is required and user has to define the trigger.

Data recorder: Press the data recorder button to start saving the acquisitions.

By default the data recording is not active. Once this button is activated, the traces of the selected channels are stored. Data are stored as .csv files, using one file per channel and per acquisition.

Click on the drop-down menu for options:

Open data folder: opens the directory where the traces are stored.

Settings: allows to define the directory where the data are saved, and the prefix name.
Click Use mouse to control marker then on the graph to display point coordinates.
Click Peak search then on the graph to display the closest peak of the waveform.
Click Zoom and use mouse to zoom on the signal waveform.
Click Pan and use mouse to pan the signal waveform.
Cumulative History displays all the records on the same graph, using a different color for each record.
Digital persistence: this function offers a dynamic display of the records. Newest records are superimposed on oldest ones. Latest waveforms are drawn with red and warn colors, whereas oldest use cold colors and gradually disappear.
Autoscale once: automatically adapts the graph scale to the signal.
Autoscale always: enables a dynamic autoscale.
By default, Refresh parameter is set to 100%, meaning every measured point is displayed. Refresh feature is very useful in case of acquisition with a large amount of data, when the trace display could be slowed down. In such a case, user can chose to display only a fraction on the measured date. For instance, setting Refresh to 50% leads to display 50% of the measured data, i.e. displaying 1 waveform record every 2 acquired records.


Toolbar menu

This section details the toolbar menu features.

Menu | Name | Function
File | Connect... | Starts the connection with a digitizer, opens the digitizer selection window. Getting Started with MD2 Soft Front Panel.
 | Run Script | Allows to open and execute a script file. Loading and running scripts
 | Exit | Exits MD2 SFP.
View | Preferences... | User can customize the window appearance/colors.
 | Script Window | Opens the Script window.
Utilities | Reset | Resets acquisition settings.
 | Errors... | Displays error history.
 | Self Test... | This command calls on a specific driver feature and launches a self test of selected instrument.
Tools | - | Not yet available
Windows | New Time Trace Window | Opens a new graph window, displaying the signal waveform in time domain.
 | New Spectrum Trace Window | Opens a new graph window, displaying the signal waveform in frequency domain.
 | Cascade | Organizes multiple trace windows as cascaded.
 | Tile Vertically | Organizes multiple trace windows as vertical tiles.
 | Tile Horizontally | Organizes multiple trace windows as horizontal tiles.
 | Reset Window Layout | Cancel the window modifications
Interface | Control panels | Opens the control panels.
Help | Contents | Opens the help document.
 | Driver Help | Opens MD2 High-Speed Digitizer Instrument Drivers embedded help.
 | Online Support | Link to Keysight support
 | About | Information about MD2 Soft Front Panel


Other information windows

The Script window provides a direct access to MD2 driver commands.

Log window Log windowand TimeStamps window give useful information.

Script window

The Script windows provides a direct access to panels, i. e. IVI driver parameters.

It accepts C# commands and evaluates them. It is possible to access the driver’s API via “md2” object.

Access parameters

For instance, type md2.Acquisition.RecordSize in the shell and press Enter to get the currently configured RecordSize.

Auto-completion in available when pressing TAB.

Define parameters

It's also possible to define parameters from this shell.

For example, type md2.Acquisition.RecordSize = 400 and press Enter.

The record size parameter is set accordingly and appears in the acquisition panel.

Access to repeated capabilities

Using get_Item command, user can access any parameter duplicated between multiple instances. For instance, to access channel1 Range parameters: type md2.Channels.get_Item("Channel1").Rangeand press Enter.

Loading and running scripts

A C# script can be launched from an external file: File > Run script.

Script example:

using System;

public class MainScript

{

public static void Run()

{

if (md2.InstrumentInfo.Options.Contains("AVG"))

{

Console.WriteLine("AVG supported. Changing to AVG mode");

md2.Acquisition.Mode = AgMD2AcquisitionModeEnum.AgMD2AcquisitionModeAverager;

}

md2.Acquisition.RecordSize = 20000;

if (md2.InstrumentInfo.Options.Contains("INT"))

{

md2.Channels.get_Item("Channel1").TimeInterleavedChannelList="Channel2";

Console.WriteLine("Set current configuration to Interleaved, 20000 record size.");

}

if (md2.Calibration.IsRequired)

{

Console.WriteLine("Calibrating...");

md2.Calibration.SelfCalibrate();

Console.WriteLine("Calibration completed.");

}

Console.WriteLine("Configuration done.");

}

}

A only help is available: just type help in the Script Window.

See also:

Log window

TimeStamps window


Log window

The log window is enable by default and provides a transcript of the driver commands.

It is possible to enable/disable the log using [image].

The switch [image] allows to filter recurrent acquisition commands (Acquisition.Initiate(), Acquisition.WaitForAcquisition.Complete() and Channel.Fetch<...>()).

Finally, it is possible to save the Log in a file defined by user using [image].


TimeStamps window

The TimeStamps window displays for each record (ID) the trigger timestamps.

  • ID: Record/Trigger number.
  • Absolute timestamp is the trigger time, since the instrument initialization.
  • Relative timestamp gives the time of the nthtrigger, since the beginning of the acquisition.
  • Difference gives the delay between the nthtrigger and the previous one.


Specific modes

DDC mode

Multi-module synchronization


Digital Down Conversion (DDC) mode

For the presentation and principle of Digital Down Conversion (DDC) mode, please refer to your instrument user manual. A program example is also provided with the driver.

The DDC mode is supported only for instruments with -DDC or -LDC option.

Configure the DDC mode acquisition

To use the DDC option, open the DDC Cores panel from the menu bar:

User can select the DDC core to configure. By default, each DDC core correspond to a channel (the number of DDC core depends on the instrument).

The decimation is defined by the Decimation Numerator (the Decimation Denominator D is fixed to 1) and should be the same for each DDC Core.

The Decimation Numerator should be defined as:

The resulting Effective sampling rate (or Decimated sampling rate), after decimation is given by:

The Center Frequency defines the frequency (in MHz) that will be used for the local oscillator and could be chosen independently for each DDC Core.

Clicking Apply to all applies the current Decimation Numerator and Center Frequency to all DDC cores.

A decimation factor different per DDC Core is not currently supported.

Run the DDC mode acquisition

Before starting the acquisition, the DDC mode should be selected from the Acquisition panel, as illustrated below.

A new Self Calibration is required before starting the acquisition [image].

Display the results

Using Right click on the display area, allows user to select the DDC core signal to be displayed.

The Right click>Ycoordinates sub-menu enable plotting options for the signal after down conversion. For each DDC Core signal, user can chose to display:

  • Real part
  • Imaginary part
  • Magnitude with a linear (LinMagnitude) or Logarithmic scale (LogMagnitude)
  • Imaginary vs. real data (ImagVsReal)
  • Phase

The example below illustrates the resulting plot of the logarithmic magnitude for 100 MHz modulated pulse after digital down-conversion by DDCCore.

After running the DDC mode acquisition, it is possible to save the data (Data recorder: Press the data recorder button to start saving the acquisitions.

When saving DDC data, the output .csv file contains 3 columns: First column (X) {initialXOffset}, second column {real value}, third column {imaginary value}.


Multi-module synchronization (MMS)

It is possible to manage the Multi-Module Synchronization through MD2 SFP and to display the acquisition result of several synchronized instruments.

To enable this mode, multi-module synchronization should be supported by your instrument. Please refer to your digitizer user manual for details and limitation, such as the maximum number of instrument that can be synchronized.
Multi-module synchronization is only supported for digitizer of the same model and configuration.
When models are different, or with different features (different sampling rates for instance), the multi-module mode of the SFP can be used but with limitations:
- Successive acquisitions using respectively different instruments are possible.
- Modules cannot be synchronized and simultaneous acquisitions are not supported by SFP (display issues).
- Simultaneous acquisitions using modules with similar options and an external synchronization is possible, except the “synchronize” feature (for example: running a 4 channels acquisition with two U5303A using a common external clock/external reference).

The following sections describe in detail the Multi-Module Synchronization usage.

1. Connect window

After starting the MD2 SFP, the instruments to be synchronized can be selected from the Connect to Instrument window.

Click Connect to open the MD2 SFP.

2. Configure the instruments for multi-module synchronization

2.1. Open the Instruments panel.

By default the first instrument selected is defined as the master. Other are slaves.

To change the master, use the Instruments field, select the instrument you want as the master. Then tick Is Master.

2.2. Once the master is selected, the acquisition parameters can be defined from the Acquisition panel.

The parameters of the Acquisition panel, Trigger panel, Channel panel etc..., refer to the parameters of the module selected from the Instruments panel.

2.3. Setup the clock source parameters from the clock source panel.

2.4. Open the Reference Oscillator panel, you should select AXIeClk100 or External depending on your system (Internal reference cannot be used in MMS mode).

2.5. After the setup of all parameter, go back to the Instruments panel and click Apply Config to All Slaves: The Acquisition (record size, number of record...), Clock Source and Reference Oscillator parameters are copied to all slaves instruments.

The Trigger, Channel parameters are not copied to other instrument and can differ between instruments. If DDC mode is enable, DDC core parameters are not copied, since they can differs from master to slaves.

3. Synchronize and launch acquisition

After the common configuration is done, the synchronization can be launched.

From the Instruments panel, enable Synchonize.

If you want to change any acquisition parameter:
1) From the master instrument: modify the acquisition parameters,
2) click Apply Config to All Slaves
3) Peform a new synchronization: you should disable Synchonize, modify the setup then re-enable Synchonize.

4. Display acquisition results

Using Right click on the display area, user can select the channel per instrument.

It is possible to save the data (Data recorder: Press the data recorder button to start saving the acquisitions.

One file per channel selected (and per instrument) for display is created. The file name mentions the instrument PXI<...> and the channel.


Save data

Displayed data can be saved thanks to the data recorder.

By default the data recording is not active.

Press the data recorder button to start saving the acquisitions.

Once this button is activated, the traces of the selected channels are stored. Data are stored as .csv files, using one file per channel and per acquisition.

User can select the directory where the traces are stored from the data recorder drop-down menu :

Open data folder: opens the directory where the traces are stored.

Settings: allows to define the directory where the data are saved, and the prefix name.


Appendices

These appendices provide the following sections:

Related Documentation

TIP: Help Search Tricks


Related Documentation

Documentation Access Map

All documentation relating to your Keysight Technologies digitizer may be found either from the CDROM supplied with your product.

Documentation

If you have run the Keysight MD2 High-Speed Digitizer Instrument Drivers software installer for your product on your PC, the related product documentation will have been installed to your hard drive. Otherwise these documents are available for download from the Keysight Technologies website.

Document | Description
Startup Guide | Includes procedures to help you to unpack, inspect, install (software and hardware), perform instrument connections, verify operation, and troubleshoot your product. Also includes an annotated block diagram.
User Manual | Provides in-depth information and reference material specific to your digitizer product
Data Sheet | In addition to a detailed product introduction, the data sheet supplies full product specifications.
Soft Front Panel (help system) | Provides information on the use of the Soft Front Panel for MD1 digitizers.
LabVIEW Driver reference (help system) | Provides detailed documentation of the LabVIEW G driver API functions.
IVI Driver reference (help system) | Provides detailed documentation of the IVI-COM and IVI-C driver API functions, as well as information to help you get started with using the IVI drivers in your application development environment.


TIP: Help Search Tricks

In the help system, a basic search of topics consists of the word or phrase that you want to find. You can, however, improve your search results by using wildcard expressions, nested expressions, Boolean operators, and searching similar word matches, previous results, and topic titles only.

Performing a Basic Full-Text Search

  1. In the navigation pane, click the Search tab and then type the word or phrase that you want to find. Use the right-arrow button to add Boolean operators to your search.
  • Click List Topics.Your search will return the first 500 hits. If you want to sort the topic list, click Title, Location, or Rank.
  • Highlight the topic that you want, and then click Display You can also display any topic by double-clicking it.

Refining a Your Search

You can refine a basic search by using wildcard expressions, nested expressions, and Boolean operators. You can also search only on the previous results list, request similar word matches, or search only the titles of topics in the table of contents.

  • To refine a search to include just the last group of topics you searched, select the Search previous results check box.
  • To match similar spellings in a full-text search, select the Match similar words check box.

When Match similar words is selected, the viewer matches minor grammatical variations of the word or phrase you entered, as well as the word or phrase itself. For example, if you entered "test" and selected this box, the Library viewer would find "test", "tests", and "testing". This option is independent of other options or syntax. If you do a titles-only search, variations in titles will be matched. If you use quotes (or any other query operator) any variation of the word can appear; for example, "installed module" will also match "installing module".

  • To search for words in document titles only, select the Search titles only check box.

Search Syntax

The basic rules for formulating queries are as follows:

  • Searches are not case-sensitive, so you can type your search in uppercase or lowercase characters.
  • You can search for any combination of letters (a–z) and numbers (0–9). You cannot search for single letters (a, b, c, etc.) and the following reserved words: an, and, as, at, be, but, by, do, for, from, have, he, in, it, not, of, on, or, she, that, the, there, they, this, to, we, which, with, you.
  • Punctuation marks such as the period (.), colon (:), semicolon (;), comma (,), and hyphen (-) are ignored during a search.
  • Group the elements of your search using "double quotes" or (parentheses). You cannot search for quotation marks.
If you are searching for a filename with an extension, you should group the entire string in double quotes ("filename.ext"). Otherwise, the search will treat the period as an OR operator.

Words, Phrases, and Wildcards

You can search for words or phrases and use wildcard expressions. The table below describes the results of these different kinds of searches.

Search for | Example | Results
Single word | Calibrate | Topics that contain the word "calibrate." (You will also find its grammatical variations, such as "calibration" and"calibrated".)
Phrase | "saved configuration" -or- 'saved configuration' | Topics that contain the literal phrase "saved configuration" and all its grammatical variations. Without the quotation marks, the query is equivalent to specifying a saved AND configuration, which will find topics containing both of the individual words, instead of the phrase.
Wildcard expressions | Meas* | Topics that contain the terms "Meas," "measure," "measurement," and so on. The asterisk cannot be the only character in the words.
 | 89?00 | Topics that contain the terms "89500," "89600," "89700," and so on. The question mark cannot be the only character in the term.
 | *936* | Topics that contain the terms "936." "45936,""M9360A," "93600" and so on.
 | *93 | Topics that contain the terms "293," "393," "x93," "ABCD393," "8093," and so on.

Operators: AND, OR, NOT, and NEAR

The AND, OR, NOT, and NEAR operators allow you to refine your search. The following table shows how to use each of these operators.

Search for | Example | Results
Both terms in the same topic | performance AND verification -or- performance & verification | Topics containing both the words "performance" and "verification."
Either term in a topic | front OR panel -or- front | panel | Topics containing either the word "front" or the word "panel."
The first term without the second term | system NOT requirements -or_ system ! requirements | Topics containing the word "system," but not the word "requirements."
Both terms in the same topic, close together | install NEAR hardware | Topics containing the word "install" within eight words of the word "hardware."

Rules for Nested Expressions

The basic rules for searching topics using nested expressions are as follows:

  • You can use parentheses to nest expressions within a query. The expressions in parentheses are evaluated before the rest of the query.
  • If a query does not contain a nested expression, it is evaluated from left to right. For example, "Instrument NOT system OR calibration" finds topics containing the term "instrument" without the term "system", or topics containing the term "instrument" and not "calibration". (On the other hand, "instrument NOT (system OR calibration)" finds topics containing the term "instrument" without either of the terms "system" or "calibration".)
  • Nesting allows you to create more complex search expressions. For example, "instrument AND ((system OR calibration) NEAR performance)" finds topics containing the term "instrument" along with the terms "system" and "performance" close together, or containing "instrument" along with the terms "calibration" and "performance" close together.
  • You cannot nest expressions more than five levels deep.


FAQs

Q. What is Coherent Sampling

A. Coherent Sampling refers to the relationship between the input frequency, sampling frequency, number of cycles in the sampled set and the number of samples. With coherent sampling one is assured that the signal power in an FFT is contained within one FFT bin (assuming a single input tone).

The condition for coherent sampling is given by:

For example if we have Msamples = 211, and fs = 100e6, and we expect and input frequency close to fs/2, let's say fin = 44 MHz, then Ncycles = 901.12 which is close to an integer. We could therefore round down to Ncycles = 901 and we would get fin = 43.994140625 Mhz, which is an input frequency that satisfies coherent sampling.

The integer number should be chosen carefully. We have three possible types of integers, even, odd, and prime. Even is not a good idea since we would hit the same code every Msamples, where M can be much less than N. Odd is a better idea since it takes longer to hit the same code. According to some sources a prime number of cycles is the best (with the exception of the prime 2) because it takes a long time before the same code repeats.


Contents

MD2 Soft Front Panel
Notices and General information
1. Getting Started with MD2 Soft Front Panel
Example: perform the calibration and a first acquisition
2. Control panels
Acquisition panel
Channel panel
Trigger panel
Calibration panel
Reference Oscillator panel
Sample Clock
Control I/Os
Information panel
Monitoring Values panel
Temperature panel
DDC-Core panel
Instruments panel
3. Display window
4. Toolbar menu
5. Other information windows
Log window
Timestamp window
6. Specific modes
DDC mode
Multi-module synchronization
7. Save data
Appendices
Related Documentation
TIP: Help Search Tricks